package com.jianshui.income.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="发票认证接口入参主表")
@Data
public class IncomeApplyLegalizeChildDTO {

    @ApiModelProperty(value = "发票代码")
    @NotEmpty
    @Size(min = 0, max = 12, message = "发票代码长度不能超过12个字符")
    private String FPDM;

    @ApiModelProperty(value = "发票号码")
    @NotEmpty
    @Size(min = 0, max = 8, message = "发票号码长度不能超过8个字符")
    private String FPHM;

    @ApiModelProperty(value = "申请税款所属期")
    @NotEmpty
    @Size(min = 0, max = 6, message = "申请税款所属期长度不能超过6个字符")
    private String SQSKSSQ;

    @ApiModelProperty(value = "申请认证类型")
    @NotEmpty
    @Size(min = 0, max = 1, message = "申请认证类型长度不能超过1个字符")
    private String SQRZLX;

    @ApiModelProperty(value = "有效税额")
    @Size(min = 0, max = 20, message = "有效税额长度不能超过1个字符")
    private String YXSE;

    @ApiModelProperty(value = "发票类型")
    @NotEmpty
    @Size(min = 0, max = 20, message = "发票类型长度不能超过20个字符")
    private String FPLXDM;

    @ApiModelProperty(value = "不抵扣原因")
    @Size(min = 0, max = 10, message = "不抵扣原因长度不能超过10个字符")
    private String BDKYY;

    @ApiModelProperty(value = "购方税号")
    @NotEmpty
    @Size(min = 0, max = 18, message = "购方税号长度不能超过18个字符")
    private String GMFSBH;






}
