package com.jianshui.income.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 进项-定时任务(查询结果)对象 income_query_result
 *
 * @author dxk
 * @date 2022-06-10
 */
@Data
public class IncomeAuthQueryResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 批次号 */
    @Excel(name = "批次号")
    private String pch;

    /** 发起类型 */
    @Excel(name = "发起类型")
    private String initationType;

    /** 发起时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发起时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date initationTime;

    /** 发起状态-是否取得结果 */
    @Excel(name = "发起状态-是否取得结果")
    private String initationStatus;

    /** 税号 */
    @Excel(name = "税号")
    private String gmfsbh;

    /** 企业id */
    @Excel(name = "企业id")
    private String identity;

    /** 税号 */
    @Excel(name = "税号")
    private String taxno;

    /** 查询次数 */
    @Excel(name = "查询次数")
    private Long initationNum;


}
