package com.jianshui.income.domain.entity;

import cn.hutool.core.annotation.Alias;
import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-认证（大象）对象 income_invoice_auth_authentication
 *
 * @author jianshui
 * @date 2022-09-05
 */
@Data
public class IncomeInvoiceAuthAuthentication extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 发票id */
    @Excel(name = "发票id")
    private String invoiceId;

    /** 批次号 */
    @Alias("PCH")
    @Excel(name = "批次号")
    private String pch;

    /** 发票代码 */
    @Excel(name = "发票代码")
    @Alias("FPDM")
    private String fpdm;

    /** 发票号码 */
    @Excel(name = "发票号码")
    @Alias("FPHM")
    private String fphm;

    /** 申请税款所属期 */
    @Excel(name = "申请税款所属期")
    @Alias("SQSKSSQ")
    private String sqskssq;

    /** 购方税号 */
    @Excel(name = "购方税号")
    @Alias("GMFSBH")
    private String gmfsbh;

    /** 申请认证类型 */
    @Excel(name = "申请认证类型")
    @Alias("SQRZLX")
    private String sqrzlx;

    /** 发票类型 */
    @Excel(name = "发票类型")
    @Alias("FPLXDM")
    private String fplxdm;

    /** 不抵扣原因 */
    @Excel(name = "不抵扣原因")
    @Alias("BDKYY")
    private String bdkyy;

    /** 状态代码 */
    @Excel(name = "状态代码")
    @Alias("ZTDM")
    private String ztdm;

    /** 状态信息 */
    @Excel(name = "状态信息")
    @Alias("ZTXX")
    private String ztxx;

    /** 认证状态 */
    @Excel(name = "认证状态")
    @Alias("RZZT")
    private String rzzt;

    /** 认证时间 */
    @Excel(name = "认证时间")
    @Alias("RZRQ")
    private String rzrq;

    /** 失败原因 */
    @Excel(name = "失败原因")
    @Alias("SBYY")
    private String sbyy;

    /** 认证处理状态 */
    @Excel(name = "认证处理状态")
    @Alias("RZCLZT")
    private String rzclzt;

    /** 税款归属期 */
    @Excel(name = "税款归属期")
    @Alias("RZSQ")
    private String rzsq;

    /** 批次状态 */
    @Excel(name = "批次状态")
    @Alias("PCZT")
    private String pczt;

    /** 认证类型 */
    @Excel(name = "认证类型")
    @Alias("RZLX")
    private String rzlx;

    /** 信息来源 */
    @Excel(name = "信息来源")
    @Alias("XXLY")
    private String xxly;

    /** 有效税额 */
    @Excel(name = "有效税额")
    @Alias("YXSE")
    private String yxse;

    /** 逾期可勾选标志 */
    @Excel(name = "逾期可勾选标志")
    @Alias("YQKGXBZ")
    private String yqkgxbz;

    /** 管理状态 */
    @Excel(name = "管理状态")
    @Alias("GLZT")
    private String glzt;


}
