package com.jianshui.income.mapper;

import java.util.List;
import com.jianshui.income.domain.entity.IncomeInvoiceAuthLog;

/**
 * 进项-发票采集记录Mapper接口
 *
 * @author jianshui
 * @date 2022-09-05
 */
public interface IncomeInvoiceAuthLogMapper
{
    /**
     * 查询进项-发票采集记录
     *
     * @param pch 进项-发票采集记录主键
     * @return 进项-发票采集记录
     */
    public IncomeInvoiceAuthLog selectIncomeInvoiceAuthLogByPch(String pch);

    /**
     * 查询进项-发票采集记录列表
     *
     * @param incomeInvoiceAuthLog 进项-发票采集记录
     * @return 进项-发票采集记录集合
     */
    public List<IncomeInvoiceAuthLog> selectIncomeInvoiceAuthLogList(IncomeInvoiceAuthLog incomeInvoiceAuthLog);

    /**
     * 新增进项-发票采集记录
     *
     * @param incomeInvoiceAuthLog 进项-发票采集记录
     * @return 结果
     */
    public int insertIncomeInvoiceAuthLog(IncomeInvoiceAuthLog incomeInvoiceAuthLog);

    /**
     * 修改进项-发票采集记录
     *
     * @param incomeInvoiceAuthLog 进项-发票采集记录
     * @return 结果
     */
    public int updateIncomeInvoiceAuthLog(IncomeInvoiceAuthLog incomeInvoiceAuthLog);

    /**
     * 删除进项-发票采集记录
     *
     * @param pch 进项-发票采集记录主键
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthLogByPch(String pch);

    /**
     * 批量删除进项-发票采集记录
     *
     * @param pchs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIncomeInvoiceAuthLogByPchs(String[] pchs);
}
