package com.jianshui.invoice.domain.dto.adapter.request.nuonuo2;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.common.annotation.Excel;
import com.jianshui.invoice.domain.Redinfo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/13 23:46
 **/
@Data
public class Nuonuo2RedInfoDTO {


    /**
     * 客户系统订单号
     */
    @JSONField(name = "billNo")
    private String outTradeOrderno;

    /**
     * 信息表状态描述
     */
    // @JSONField(name = "applyRemark")
    // private String redInfoMessage;

    /**
     * 信息表类型
     */
    @JSONField(name = "redInfoType")
    private String redInfoType;

    /**
     * 原发票代码
     */
    @JSONField(name = "oriInvoiceCode")
    private String originFpdm;

    /**
     * 信息表特殊标识
     */
    // @JSONField(name = "信息表特殊标识")
    // private String redInfoSpecFlag;

    /**
     * 原发票号码
     */
    @JSONField(name = "oriInvoiceNumber")
    private String originFphm;

    /**
     * 税种类别
     */
    // @JSONField(name = "税种类别")
    // private String taxType;

    /**
     * 原发票开票日期
     */
    // @JSONField(name = "原发票开票日期")
    // private String originKprq;

    /**
     * 多税率标志
     */
    // @JSONField(name = "多税率标志")
    // private String multTaxRate;

    /**
     * 填开日期
     */
    // @JSONField(name = "填开日期")
    private String billInputTime;

    /**
     * 购方名称
     */
    @JSONField(name = "buyerName")
    private String buyerName;

    /**
     * 购方税号
     */
    @JSONField(name = "buyerTaxNo")
    private String buyerTaxnum;

    /**
     * 销方名称
     */
    @JSONField(name = "sellerName")
    private String sellerName;

    /**
     * 销方税号
     */
    @JSONField(name = "sellerTaxNo")
    private String sellerTaxnum;

    /**
     * 不含税金额
     */
    @JSONField(name = "taxExcludedAmount")
    private BigDecimal taxfreeamt;

    /**
     * 税额
     */
    @JSONField(name = "taxAmount")
    private BigDecimal tax;

    /**
     * 含税金额
     */
    private BigDecimal taxamt;

    /**
     * 申请说明
     */
    @JSONField(name = "applyRemark")
    private String applyRemark;

    /**
     * 申请表pdf 地址
     */
    @JSONField(name = "申请表pdf 地址")
    private String pdfUrl;

    /**
     * 商品编码版本号
     */
    // @JSONField(name = "商品编码版本号")
    // private String bmbbh;

    /**
     * 营业税标志
     */
    @JSONField(name = "营业税标志")
    private String businessTaxCode;

    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JSONField(name = "applyTime")
    private Date applyTime;

    /**
     * 发票种类 invoice_type（ p电子增值税普通发票 c增值税普通发票 s 增值税专用发票 e 收购发票 f 收购发票 r增值税普通发票）
     */
    @JSONField(name = "invoiceLine")
    private String invoiceType;

    @JSONField(name = "invoiceRedApplyDetails")
    private List<Nuonuo2RedDetailDTO> redinfodetailList;

    /**
     * 分机号
     */
    // @JSONField(name = "分机号")
    // private String fjh;

    /**
     * 终端号
     */
    // @JSONField(name = "终端号")
    // private String terminalNumber;

    /**
     * 设备编号
     */
    // @JSONField(name = "设备编号")
    // private String jspbh;

    /**
     * 所属月份
     */
    // @JSONField(name = "所属月份")
    // private String ssyf;

    /**
     * 税率
     */
    // @JSONField(name = "税率")
    // private BigDecimal taxrate;

    /**
     * 申请选择
     */
    // @JSONField(name = "申请选择")
    // private String sqxz;

    /**
     * 经办人
     */
    // @JSONField(name = "经办人")
    // private String jbr;

    /**
     * 申请方税号
     */
    // @JSONField(name = "申请方税号")
    // private String reqnsrsbh;

    /**
     * 成品油标志
     */
    @JSONField(name = "productOilFlag")
    private String productOilFlag;

    /**
     * 服务公司
     */
    // @JSONField(name = "服务公司")
    // private String serviceSupplierKey;

    /**
     * 申请类别
     */
    @JSONField(name = "申请类别")
    private Integer sqlb; // 申请类别,0为销方申请,1为购方申请

    /**
     * 回调地址
     */
    @JSONField(name = "callBackUrl")
    private String callbackUrl;


}
