package com.jianshui.storage.service;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.storage.domain.StorageReesultDTO;
import com.jianshui.storage.domain.StorageUrlDTO;

/**
 * @Description 对象存储模块
 * @Author 巩权林
 * @Date 2022-09-15 11:33
 **/
public interface IStorageService {

    /**
     * 获取文件路径 因为像腾讯云存的是唯一key
     *
     * @param storageUrlDTO
     * @return
     */
    public AjaxResult getFile(StorageUrlDTO storageUrlDTO);

    /**
     * 上传文件
     *
     * @param data        上传的二进制数据
     * @param storagePath 对象存储上的文件路径
     * @return StorageUrlDTO
     */
    public AjaxResult upload(byte[] data, String storagePath);

    /**
     * 上传文件
     *
     * @param filePath    本地文件路径
     * @param storagePath 对象存储上的文件路径
     * @return StorageUrlDTO
     */
    public AjaxResult upload(String filePath, String storagePath);
}
