package com.jianshui.system.mapper;

import java.util.List;

import com.jianshui.common.core.domain.entity.CompanyserviceDetail;

/**
 * 销方详情Mapper接口
 * 
 * @author Gong Quanlin 
 * @date 2022-03-08
 */
public interface CompanyserviceDetailMapper 
{
    /**
     * 查询销方详情
     * 
     * @param id 销方详情主键
     * @return 销方详情
     */
    public CompanyserviceDetail selectCompanyserviceDetailById(Long id);

    /**
     * 查询销方详情列表
     * 
     * @param companyserviceDetail 销方详情
     * @return 销方详情集合
     */
    public List<CompanyserviceDetail> selectCompanyserviceDetailList(CompanyserviceDetail companyserviceDetail);

    /**
     * 新增销方详情
     * 
     * @param companyserviceDetail 销方详情
     * @return 结果
     */
    public int insertCompanyserviceDetail(CompanyserviceDetail companyserviceDetail);

    /**
     * 修改销方详情
     * 
     * @param companyserviceDetail 销方详情
     * @return 结果
     */
    public int updateCompanyserviceDetail(CompanyserviceDetail companyserviceDetail);

    /**
     * 删除销方详情
     * 
     * @param id 销方详情主键
     * @return 结果
     */
    public int deleteCompanyserviceDetailById(Long id);

    /**
     * 批量删除销方详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCompanyserviceDetailByIds(Long[] ids);
}
