package com.jianshui.system.service;

import java.util.List;

import com.jianshui.common.core.domain.entity.Companyservice;
import com.jianshui.system.domain.CompanyserviceProp;

/**
 * 企业扩展属性，包括大象key等Service接口
 *
 * @author Gong Quanlin
 * @date 2022-04-06
 */
public interface ICompanyservicePropService {
    /**
     * 查询企业扩展属性，包括大象key等
     *
     * @param companyid 企业扩展属性，包括大象key等主键
     * @return 企业扩展属性，包括大象key等
     */
    public List<CompanyserviceProp> selectCompanyservicePropByCompanyid(Long companyid);

    /**
     * 查询企业扩展属性，包括大象key等列表
     *
     * @param companyserviceProp 企业扩展属性，包括大象key等
     * @return 企业扩展属性，包括大象key等集合
     */
    public List<CompanyserviceProp> selectCompanyservicePropList(CompanyserviceProp companyserviceProp);

    /**
     * 新增企业扩展属性，包括大象key等
     *
     * @param companyserviceProp 企业扩展属性，包括大象key等
     * @return 结果
     */
    public int insertCompanyserviceProp(CompanyserviceProp companyserviceProp);

    /**
     * 修改企业扩展属性，包括大象key等
     *
     * @param companyserviceProp 企业扩展属性，包括大象key等
     * @return 结果
     */
    public int updateCompanyserviceProp(CompanyserviceProp companyserviceProp);

    /**
     * 批量删除企业扩展属性，包括大象key等
     *
     * @param companyids 需要删除的企业扩展属性，包括大象key等主键集合
     * @return 结果
     */
    public int deleteCompanyservicePropByCompanyids(Long[] companyids);

    /**
     * 删除企业扩展属性，包括大象key等信息
     *
     * @param companyid 企业扩展属性，包括大象key等主键
     * @return 结果
     */
    public int deleteCompanyservicePropByCompanyid(Long companyid);


    /**
     * 初始化companyserviceProp
     *
     * @param companyId
     * @return
     */
    public boolean initCompanyserviceProp(Long companyId);

    /**
     * 初始化companyserviceProp
     *
     * @param companyId
     * @return
     */
    public CompanyserviceProp selectPropByKey(Long companyId, String key);
}
